### Method

# Gtk TreeModelFilter convert_child_iter_to_iter

#### Declaration [src]

    gboolean
    gtk_tree_model_filter_convert_child_iter_to_iter (
      GtkTreeModelFilter* filter,
      GtkTreeIter* filter_iter,
      GtkTreeIter* child_iter
    )

#### Description [src]

Sets `filter_iter` to point to the row in `filter` that corresponds to the row pointed at by `child_iter`. If `filter_iter` was not set, `FALSE` is returned.

#### Parameters

`filter_iter` | `GtkTreeIter`
| An uninitialized `GtkTreeIter`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`child_iter` | `GtkTreeIter`
| A valid `GtkTreeIter` pointing to a row on the child model.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE`, if `filter_iter` was set, i.e. if `child_iter` is a valid iterator pointing to a visible row in child model.